import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, l = (p, o, c, t) => {
  for (var e = t > 1 ? void 0 : t ? v(o, c) : o, i = p.length - 1, s; i >= 0; i--)
    (s = p[i]) && (e = (t ? s(o, c, e) : s(e)) || e);
  return t && e && m(o, c, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--facebookCircle", this.class = "c-pieIcon c-pieIcon--facebookCircle", this.name = "IconSocialFacebookCircle";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--facebookCircle"><path d="M8 1.175A6.781 6.781 0 1 0 14.782 8 6.79 6.79 0 0 0 8 1.175m0 12.25A5.469 5.469 0 1 1 8 2.487a5.469 5.469 0 0 1 0 10.938"></path><path d="M7.213 6.145v.98H6.058v1.313h1.155v3.167q.35.065.709.061a4 4 0 0 0 .708-.06v-3.15h1.06l.2-1.33H8.63V6.25a.656.656 0 0 1 .744-.717h.569V4.5a7 7 0 0 0-1.015-.087 1.6 1.6 0 0 0-1.715 1.732"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = l([
  h("icon-social-facebook-circle")
], r);
export {
  r as IconSocialFacebookCircle
};
